<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Approval KRS</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">KRS </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List Tahun Akademik <div th:text="${tahun.namaTahunAkademik}"></div></h3>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <div class="nav-wrapper mb-4">
                            <ul class="nav nav-pills nav-fill flex-column flex-md-row" id="tabs-icons-text" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link mb-sm-3 mb-md-0 active" id="tabs-icons-text-3-tab" data-toggle="tab" href="#tabs-icons-text-3" role="tab" aria-controls="tabs-icons-text-1" aria-selected="true"> KRS</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link mb-sm-3 mb-md-0" id="tabs-icons-text-4-tab" data-toggle="tab" href="#tabs-icons-text-4" role="tab" aria-controls="tabs-icons-text-2" aria-selected="true"> MBKM</a>
                                </li>
                            </ul>
                        </div>

                        <!-- list KRS -->

                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="tabs-icons-text-3" role="tabpanel" aria-labelledby="tabs-icons-text-1-tab">
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">NIM</th>
                                            <th scope="col">Nama</th>
                                            <th scope="col">Prodi</th>
                                            <th scope="col">Angkatan</th>
                                            <th scope="col">Ip semester</th>
                                            <th scope="col">Total SKS</th>
                                            <th scope="col">IPK</th>
                                            <th scope="col" width="30px;">Status</th>
                                            <th scope="col"></th>
                                            <th scope="col"></th>

                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="data,row : ${listKrs}">
                                            <td th:text="${(row.index + 1) + (listKrs.number * listKrs.size)}">1</td>
                                            <td th:text="${data[1]}">12</td>
                                            <td th:text="${data[2]}">12</td>
                                            <td th:text="${data[3]}">2020</td>
                                            <td th:text="${data[4]}">2020</td>
                                            <td th:text="${data[5]}">2020</td>
                                            <td th:text="${data[6]}">2020</td>
                                            <td th:text="${data[7]}">2020</td>
                                            <td th:if="${data[8] == 'WAITING'}">
                                                <button type="button" class="btn btn-warning btn-sm">WAITING</button>
                                            </td>
                                            <td th:if="${data[8] == 'APPROVED'}">
                                                <button type="button" class="btn btn-success btn-sm">APPROVED</button>
                                            </td>
                                            <td th:if="${data[8] == 'REJECTED'}">
                                                <button type="button" class="btn btn-danger btn-sm">REJECTED</button>
                                            </td>
                                            <td>
                                                <button type="button" class="btn btn-success btn-outline-success btn-sm" data-toggle="modal" th:data-target="${'#modal-approvedakademik' + data[0]}" th:if="${data[8] == 'WAITING'}">
                                                    Approved
                                                </button>

                                                <button type="button" class="btn btn-danger btn-outline-danger btn-sm" data-toggle="modal" th:data-target="${'#modal-rejectakademik' + data[0]}" th:if="${data[8] == 'WAITING'}">
                                                    Reject
                                                </button>

                                                <div class="modal fade" th:id="${'modal-approvedakademik'+data[0]}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Komentar</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <form th:action="@{/studiesActivity/krs/approval/approve(krsApproval = ${data[9]})}" method="post">
                                                                    <div class="form-group">
                                                                        <textarea name="keterangan" class="form-control" placeholder="Comment" id="" cols="30" rows="10"></textarea>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <button class="btn btn-success" type="submit">Approved</button>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="modal fade" th:id="${'modal-rejectakademik'+data[0]}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Komentar</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <form th:action="@{/studiesActivity/krs/approval/reject(krsApproval = ${data[9]})}" method="post">
                                                                    <div class="form-group">
                                                                        <textarea name="keterangan" class="form-control" placeholder="Comment" cols="30" rows="10"></textarea>
                                                                    </div>
                                                                    <input type="hidden" name="id" th:value="${data[0]}">
                                                                    <div class="form-group">
                                                                        <button class="btn btn-danger" type="submit">Reject</button>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>

                                            <td>
                                                <!--button-->
                                                <button type="button" class="btn btn-info btn-sm" th:id="${data[0]}" onclick="detailMatkul(this.id)">
                                                    <i class="fas fa-eye"></i> Detail
                                                </button>

                                                <div class="modal fade" th:id="${'modal-detail' + data[0]}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                                    <div class="modal-dialog modal-lg modal-dialog-centered modal-" role="document">
                                                        <div class="modal-content">

                                                            <div class="modal-header">
                                                                <h6 class="modal-title" id="modal-title-notification">Detail Matakuliah</h6>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">×</span>
                                                                </button>
                                                            </div>

                                                            <div class="modal-body">

                                                                <div class="nav-wrapper mb-4">
                                                                    <ul class="nav nav-pills nav-fill flex-column flex-md-row" id="tabs-icons-text" role="tablist">
                                                                        <li class="nav-item">
                                                                            <a class="nav-link mb-sm-3 mb-md-0 active" id="tabs-icons-text-1-tab" data-toggle="tab" th:href="${'#tabs-icons-text-1-'+data[0]}" role="tab" aria-controls="tabs-icons-text-1" aria-selected="true"> Request KRS</a>
                                                                        </li>
                                                                        <li class="nav-item">
                                                                            <a class="nav-link mb-sm-3 mb-md-0" id="tabs-icons-text-2-tab" data-toggle="tab" th:href="${'#tabs-icons-text-2-'+data[0]}" role="tab" aria-controls="tabs-icons-text-2" aria-selected="true"> Matakuliah Mengulang</a>
                                                                        </li>
                                                                    </ul>
                                                                </div>

                                                                <div class="tab-content" id="myTabContent">
                                                                    <div class="tab-pane fade show active" th:id="${'tabs-icons-text-1-'+data[0]}" role="tabpanel" aria-labelledby="tabs-icons-text-1-tab">
                                                                        <div class="table-responsive">
                                                                            <table id="table-request" class="table align-items-center table-flush">
                                                                                <thead class="thead-light">
                                                                                <tr>
                                                                                    <th>Matakuliah</th>
                                                                                    <th>SKS</th>
                                                                                    <th>Kelas</th>
                                                                                    <th>Dosen</th>
                                                                                </tr>
                                                                                </thead>
                                                                                <tbody>

                                                                                </tbody>
                                                                            </table>
                                                                        </div>
                                                                    </div>

                                                                    <!-- list matakuliah mengulang -->

                                                                    <div class="tab-pane fade" th:id="${'tabs-icons-text-2-'+data[0]}" role="tabpanel" aria-labelledby="tabs-icons-text-2-tab">
                                                                        <div class="card-body">
                                                                            <div class="table-responsive">
                                                                                <table id="table-mengulang" class="table align-items-center table-flush">
                                                                                    <thead class="thead-light">
                                                                                    <tr>
                                                                                        <th>Matakuliah</th>
                                                                                        <th>Nilai Akhir</th>
                                                                                        <th>Bobot</th>
                                                                                        <th>Grade</th>
                                                                                    </tr>
                                                                                    </thead>
                                                                                    <tbody>

                                                                                    </tbody>
                                                                                </table>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Tutup</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="card-footer py-4">
                                    <nav aria-label="...">
                                        <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                            <li class="disabled"><a href="#" aria-label="Previous"><span
                                                    aria-hidden="true">&laquo;</span></a>
                                            </li>
                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                            </li>
                                        </ul>
                                    </nav>
                                </div>
                            </div>

                            <!-- list MBKM -->

                            <input type="hidden" th:value="${tahun.id}" id="tahunAkademik">
                            <div class="tab-pane fade" id="tabs-icons-text-4" role="tabpanel" aria-labelledby="tabs-icons-text-2-tab">
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">NIM</th>
                                            <th scope="col">Nama</th>
                                            <th scope="col">Prodi</th>
                                            <th scope="col">Angkatan</th>
                                            <th scope="col">Tahun Akademik</th>
                                            <th scope="col" width="30px;">Status</th>
                                            <th colspan="2" scope="col" class="text-center">Action</th>

                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="data,row : ${list}">
                                            <td th:text="${(row.index + 1)}">1</td>
                                            <td th:text="${data.mahasiswa.nim}">12</td>
                                            <td th:text="${data.mahasiswa.nama}">12</td>
                                            <td th:text="${data.mahasiswa.idProdi.namaProdi}">2020</td>
                                            <td th:text="${data.mahasiswa.angkatan}">2020</td>
                                            <td th:text="${data.tahunAkademik.namaTahunAkademik}">2020</td>
                                            <td th:if="${data.statusApproval == data.statusApproval.WAITING}">
                                                <button type="button" class="btn btn-warning btn-sm">WAITING</button>
                                            </td>
                                            <td th:if="${data.statusApproval == data.statusApproval.APPROVED}">
                                                <button type="button" class="btn btn-success btn-sm">APPROVED</button>
                                            </td>
                                            <td th:if="${data.statusApproval == data.statusApproval.REJECTED}">
                                                <button type="button" class="btn btn-danger btn-sm">REJECTED</button>
                                            </td>
                                            <td th:if="${data.statusApproval == data.statusApproval.WAITING}" class="text-right">
                                                <button type="button" class="btn btn-info btn-sm" th:id="${data.mahasiswa.id}" onclick="detailMbkm(this.id)">
                                                    <i class="fas fa-eye"></i> Detail
                                                </button>

                                                <div class="modal fade" th:id="${'modal-mbkm' + data.mahasiswa.id}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                                    <div class="modal-dialog modal-lg modal-dialog-centered modal-" role="document">
                                                        <div class="modal-content">

                                                            <div class="modal-header">
                                                                <h6 class="modal-title" id="modal-title-notification">Detail Matakuliah MBKM</h6>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">×</span>
                                                                </button>
                                                            </div>

                                                            <div class="modal-body">
                                                                <div class="table-responsive">
                                                                    <table id="table-mbkm" class="table align-items-center table-flush">
                                                                        <thead class="thead-light">
                                                                        <tr>
                                                                            <th class="text-center">Matakuliah</th>
                                                                            <th class="text-center">SKS</th>
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>

                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <div th:if="${data.statusApproval == data.statusApproval.WAITING}">
                                                                    <form th:action="@{/mbkm/approved(mbkm = ${data.id})}" method="post">
                                                                        <button class="btn btn-primary btn-sm">Approved</button>
                                                                    </form>
                                                                </div>
                                                                <div th:if="${data.statusApproval == data.statusApproval.WAITING}">
                                                                    <form th:action="@{/mbkm/reject(mbkm = ${data.id})}" method="post">
                                                                        <button class="btn btn-danger btn-sm">Reject</button>
                                                                    </form>
                                                                </div>
                                                                <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Tutup</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>
                                            <td th:if="${data.statusApproval == data.statusApproval.APPROVED}" class="text-right">
                                                <button type="button" class="btn btn-info btn-sm" th:id="${data.mahasiswa.id}" th:attr="data-tahun=${data.tahunAkademik.id}" onclick="detailMbkmApproved(this.id, this.getAttribute('data-tahun'))">
                                                    <i class="fas fa-eye"></i> Detail
                                                </button>

                                                <div class="modal fade" th:id="${'modal-mbkm-approved' + data.mahasiswa.id}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                                    <div class="modal-dialog modal-lg modal-dialog-centered modal-" role="document">
                                                        <div class="modal-content">

                                                            <div class="modal-header">
                                                                <h6 class="modal-title" id="modal-title-notification">Detail Matakuliah MBKM</h6>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">×</span>
                                                                </button>
                                                            </div>

                                                            <div class="modal-body">
                                                                <div class="table-responsive">
                                                                    <table id="table-mbkm-approved" class="table align-items-center table-flush">
                                                                        <thead class="thead-light">
                                                                        <tr>
                                                                            <th class="text-center">Matakuliah</th>
                                                                            <th class="text-center">SKS</th>
                                                                            <th class="text-center">Dosen</th>
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>

                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <div th:if="${data.statusApproval == data.statusApproval.APPROVED}">
                                                                    <form th:action="@{/mbkm/waiting(mbkm = ${data.id})}" method="post">
                                                                        <button class="btn btn-primary btn-sm">Set Waiting</button>
                                                                    </form>
                                                                </div>
                                                                <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Tutup</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->


    </div>
</div>

<!--modal-->

</body>
</html>

<script>
    function detailMbkm(id){

        $('#modal-mbkm'+id).modal('show');

        const url = '/get-matkul-mbkm/'+id;
        $.getJSON(url, function (data){
            $('#table-mbkm tbody').empty();

            $.each(data, function (key, entry){
                let rowT1 = '<tr>' +
                    '<td class="text-center">' + entry.matakuliahKurikulum.matakuliah.namaMatakuliah + '</td>' +
                    '<td class="text-center">' + entry.matakuliahKurikulum.jumlahSks + '</td>' +
                    '<td> ' +
                    '<button id="'+ entry.id +'" type="submit" onclick="deleteMatkul(this.id)" class="btn btn-danger btn-sm"><i class="fas fa-trash"></i></button>' +
                    '<input type="hidden" id="mahasiswa-'+ entry.id+'" value="'+ entry.pendaftaranMbkm.mahasiswa.id + '">' +
                    '</td>' +
                    '</tr>';
                $('#table-mbkm tbody').append(rowT1);

                console.log("data request : " + entry.id);
            });
        });
    }

    function deleteMatkul(id){
        var  mahasiswa = $('#mahasiswa-' + id).val()
        $('#modal-mbkm'+mahasiswa).modal('hide');
        var token = $("input[name='_csrf']").val();
        Swal.fire({
            title: 'Are you sure?',
            text: "You won't be able to revert this!",
            showDenyButton: true,
            icon: 'warning',
            confirmButtonText: 'Save',
            denyButtonText: `Don't save`,
        }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                $.ajax({
                    type : 'POST',
                    headers: {"X-CSRF-TOKEN": token},
                    contentType: 'application/json',
                    url : '/mbkm/delete/' + id,
                    dataType : 'json',
                    success:
                        Swal.fire('Saved!', '', 'success')
                })
            } else if (result.isDenied) {
                Swal.fire('Changes are not saved', '', 'info')
            }
        })
    }

    function detailMbkmApproved(id, tahun){

        $('#modal-mbkm-approved'+id).modal('show');

        const url = '/get-matkul-mbkm-approved/'+id+'/'+tahun;
        $.getJSON(url, function (data){
            $('#table-mbkm-approved tbody').empty();

            $.each(data, function (key, entry){
                let rowT1 = '<tr>' +
                    '<td class="text-center">' + entry[1] + '</td>' +
                    '<td class="text-center">' + entry[2] + '</td>' +
                    '<td class="text-center">' + entry[3] + '</td>' +
                    '</tr>';
                $('#table-mbkm-approved tbody').append(rowT1);

                console.log("data request : " + entry.id);
            });
        })

    }

    function detailMatkul(id){

        $('#modal-detail'+id).modal('show');

        const urlRequestMatkul = '/get-request-matkul/' + id;
        $.getJSON(urlRequestMatkul, function (data){
            $('#table-request tbody').empty();

            $.each(data, function (key, entry){
                let rowT1 = '<tr>' +
                    '<td>' + entry[1] + '</td>' +
                    '<td>' + entry[2] + '</td>' +
                    '<td>' + entry[3] + '</td>' +
                    '<td>' + entry[4] + '</td>' +
                    '</tr>';
                $('#table-request tbody').append(rowT1);

                console.log("data request : " + entry.id);
            });
        });

        const urlMengulang = '/get-matkul-mengulang/' + id;
        $.getJSON(urlMengulang, function (data){
            $('#table-mengulang tbody').empty();
            $.each(data, function (key, entry){
                let rowT2 = '<tr>' +
                    '<td>'+ entry.namaMatakuliah +'</td>' +
                    '<td>'+ entry.nilaiAkhir +'</td>' +
                    '<td>'+ entry.bobot +'</td>' +
                    '<td>'+ entry.grade +'</td>' +
                    '</tr>';
                $('#table-mengulang tbody').append(rowT2);

                console.log("data mengulang : " + entry.namaMatakuliah);
            });
        });

    }

</script>